Index: cpukit/sapi/include/confdefs.h
===================================================================
--- cpukit/sapi/include/confdefs.h	(revision 18daff9b95bbe4d5004a99079207a5343760ecd3)
+++ cpukit/sapi/include/confdefs.h	(revision 28352faecf8b000b71f734cd728f38aa212b9669)
@@ -25,6 +25,6 @@
  *         used remarkably reliably by most applications.
  */
- 
-/* 
+
+/*
  *  COPYRIGHT (c) 1989-2009.
  *  On-Line Applications Research Corporation (OAR).
@@ -77,5 +77,5 @@
 
 #ifdef CONFIGURE_INIT
-rtems_libio_init_functions_t rtems_libio_init_helper = 
+rtems_libio_init_functions_t rtems_libio_init_helper =
     #ifdef CONFIGURE_APPLICATION_DISABLE_FILESYSTEM
     NULL;
@@ -84,5 +84,5 @@
     #endif
 
-rtems_libio_supp_functions_t rtems_libio_supp_helper = 
+rtems_libio_supp_functions_t rtems_libio_supp_helper =
     #ifdef CONFIGURE_APPLICATION_DISABLE_FILESYSTEM
     NULL;
@@ -91,5 +91,5 @@
     #endif
 
-rtems_fs_init_functions_t    rtems_fs_init_helper = 
+rtems_fs_init_functions_t    rtems_fs_init_helper =
     #ifdef CONFIGURE_APPLICATION_DISABLE_FILESYSTEM
     NULL;
@@ -110,5 +110,5 @@
 
 /**
- *  This macro defines the number of POSIX file descriptors allocated 
+ *  This macro defines the number of POSIX file descriptors allocated
  *  and managed by libio.  These are the "integer" file descriptors that
  *  are used by calls like open(2) and read(2).
@@ -259,5 +259,5 @@
   #warning "STACK_CHECKER_ON deprecated -- use CONFIGURE_STACK_CHECKER_ENABLED"
 #endif
-  
+
 /**
  *  This configures the stack checker user extension.
@@ -468,5 +468,5 @@
    *  This configures the malloc family plugin which dirties memory
    *  allocated.  This is helpful for finding unitialized data structure
-   *  problems. 
+   *  problems.
    */
   rtems_malloc_dirtier_t *rtems_malloc_dirty_helper =
@@ -495,6 +495,6 @@
 
 /**
- *  This macro accounts for how memory for a set of configured objects is 
- *  allocated from the Executive Workspace.  
+ *  This macro accounts for how memory for a set of configured objects is
+ *  allocated from the Executive Workspace.
  *
  *  NOTE: It does NOT attempt to address the more complex case of unlimited
@@ -772,5 +772,5 @@
   #endif
   #ifdef CONFIGURE_INIT
-    const rtems_bdbuf_config rtems_bdbuf_configuration = { 
+    const rtems_bdbuf_config rtems_bdbuf_configuration = {
       CONFIGURE_BDBUF_MAX_READ_AHEAD_BLOCKS,
       CONFIGURE_BDBUF_MAX_WRITE_BLOCKS,
@@ -1254,5 +1254,5 @@
   /**
    *  This is the maximum number of Ada tasks which can be concurrently
-   *  in existence.  Twenty (20) are required to run all tests in the 
+   *  in existence.  Twenty (20) are required to run all tests in the
    *  ACATS (formerly ACVC).
    */
@@ -1666,5 +1666,5 @@
     CONFIGURE_MAXIMUM_POSIX_THREADS + CONFIGURE_MAXIMUM_ADA_TASKS + \
     CONFIGURE_MAXIMUM_ITRON_TASKS \
-   ) 
+   )
 
 /**
@@ -1816,5 +1816,5 @@
         CONFIGURE_MAXIMUM_ITRON_MESSAGE_BUFFERS ),
     CONFIGURE_MEMORY_FOR_ITRON_PORTS( CONFIGURE_MAXIMUM_ITRON_PORTS ),
-    CONFIGURE_MEMORY_FOR_ITRON_MEMORY_POOLS( 
+    CONFIGURE_MEMORY_FOR_ITRON_MEMORY_POOLS(
         CONFIGURE_MAXIMUM_ITRON_MEMORY_POOLS ),
     CONFIGURE_MEMORY_FOR_ITRON_FIXED_MEMORY_POOLS(
@@ -1915,5 +1915,5 @@
    *        include the full configuration table.
    */
-  uint32_t rtems_minimum_stack_size = 
+  uint32_t rtems_minimum_stack_size =
     CONFIGURE_MINIMUM_TASK_STACK_SIZE;
 
@@ -1981,5 +1981,5 @@
         defined(CONFIGURE_POSIX_HAS_OWN_INIT_THREAD_TABLE)
       void _POSIX_Threads_Initialize_user_threads_body(void);
-      void (*_POSIX_Threads_Initialize_user_threads_p)(void) = 
+      void (*_POSIX_Threads_Initialize_user_threads_p)(void) =
                 _POSIX_Threads_Initialize_user_threads_body;
     #else
@@ -1998,5 +1998,5 @@
         defined(CONFIGURE_ITRON_HAS_OWN_INIT_TASK_TABLE)
       void _ITRON_Task_Initialize_user_tasks_body(void);
-      void (*_ITRON_Initialize_user_tasks_p)(void) = 
+      void (*_ITRON_Initialize_user_tasks_p)(void) =
                 _ITRON_Task_Initialize_user_tasks_body;
     #else
@@ -2100,6 +2100,6 @@
  *  It is such a common newbie error to leave it out.  Maybe this
  *  will put an end to it.
- *  
- *  NOTE: If you are using the timer driver, it is considered 
+ *
+ *  NOTE: If you are using the timer driver, it is considered
  *        mutually exclusive with the clock driver because the
  *        drivers are assumed to use the same "timer" hardware
@@ -2137,5 +2137,5 @@
   #error "Maximum priority is not 1 less than a power of 2 between 4 and 256"
 #endif
-    
+
 #if (CONFIGURE_MAXIMUM_PRIORITY > PRIORITY_DEFAULT_MAXIMUM)
   #error "Maximum priority configured higher than supported by target."
Index: cpukit/sapi/include/rtems/chain.h
===================================================================
--- cpukit/sapi/include/rtems/chain.h	(revision 18daff9b95bbe4d5004a99079207a5343760ecd3)
+++ cpukit/sapi/include/rtems/chain.h	(revision 28352faecf8b000b71f734cd728f38aa212b9669)
@@ -8,5 +8,5 @@
  *
  */
- 
+
 /*
  *  COPYRIGHT (c) 1989-2008.
Index: cpukit/sapi/include/rtems/config.h
===================================================================
--- cpukit/sapi/include/rtems/config.h	(revision 18daff9b95bbe4d5004a99079207a5343760ecd3)
+++ cpukit/sapi/include/rtems/config.h	(revision 28352faecf8b000b71f734cd728f38aa212b9669)
@@ -2,5 +2,5 @@
  * @file rtems/config.h
  */
- 
+
 /*
  *  This include file contains the table of user defined configuration
@@ -81,5 +81,5 @@
   uint32_t            maximum_proxies;
 
-  /** The MPCI Receive server is assumed to have a stack of at least 
+  /** The MPCI Receive server is assumed to have a stack of at least
    *  minimum stack size.  This field specifies the amount of extra
    *  stack this task will be given in bytes.
@@ -155,5 +155,5 @@
   /** If this element is TRUE, then RTEMS will zero the Executive Workspace.
    *  When this element is FALSE, it is assumed that the BSP or invoking
-   *  environment has ensured that memory was cleared before RTEMS was 
+   *  environment has ensured that memory was cleared before RTEMS was
    *  invoked.
    */
@@ -226,5 +226,5 @@
         (Configuration.idle_task_stack_size)
 
-/* XXX We need to get this from the generated table 
+/* XXX We need to get this from the generated table
  *     since BSPs need it before the pointer is set.
  *     Eventually all should be done this way.
@@ -240,5 +240,5 @@
 #define rtems_configuration_get_stack_free_hook() \
         (Configuration.stack_free_hook)
- 
+
 /**
   * This macro assists in accessing the field which indicates whether
Index: cpukit/sapi/include/rtems/extension.h
===================================================================
--- cpukit/sapi/include/rtems/extension.h	(revision 18daff9b95bbe4d5004a99079207a5343760ecd3)
+++ cpukit/sapi/include/rtems/extension.h	(revision 28352faecf8b000b71f734cd728f38aa212b9669)
@@ -6,5 +6,5 @@
  * @brief User Extensions API.
  */
- 
+
 /*
  *  COPYRIGHT (c) 1989-2008.
@@ -53,5 +53,5 @@
  * @brief The User Extensions Manager allows the application developer to
  * augment the executive by allowing them to supply extension routines which
- * are invoked at critical system events. 
+ * are invoked at critical system events.
  *
  * @section ClassicUserExtensionsSets Extension Sets
@@ -153,10 +153,10 @@
  * - Task context switch
  * - Post task context switch
- * - Task begins to execute 
+ * - Task begins to execute
  *
  * At the following system events, the extensions are invoked in reverse order:
  *
  * - Task deletion
- * - Fatal error detection 
+ * - Fatal error detection
  *
  * At these system events, the extensions are invoked in reverse order to
Index: cpukit/sapi/include/rtems/fatal.h
===================================================================
--- cpukit/sapi/include/rtems/fatal.h	(revision 18daff9b95bbe4d5004a99079207a5343760ecd3)
+++ cpukit/sapi/include/rtems/fatal.h	(revision 28352faecf8b000b71f734cd728f38aa212b9669)
@@ -2,5 +2,5 @@
  * @file rtems/fatal.h
  */
- 
+
 /*
  *  This include file contains constants and prototypes related
Index: cpukit/sapi/include/rtems/init.h
===================================================================
--- cpukit/sapi/include/rtems/init.h	(revision 18daff9b95bbe4d5004a99079207a5343760ecd3)
+++ cpukit/sapi/include/rtems/init.h	(revision 28352faecf8b000b71f734cd728f38aa212b9669)
@@ -14,5 +14,5 @@
  *     + shutdown the RTEMS executive
  */
- 
+
 /*
  *  COPYRIGHT (c) 1989-2008.
Index: cpukit/sapi/include/rtems/io.h
===================================================================
--- cpukit/sapi/include/rtems/io.h	(revision 18daff9b95bbe4d5004a99079207a5343760ecd3)
+++ cpukit/sapi/include/rtems/io.h	(revision 28352faecf8b000b71f734cd728f38aa212b9669)
@@ -6,5 +6,5 @@
  * @brief Classic Input/Output Manager API.
  */
- 
+
 /*
  *  COPYRIGHT (c) 1989-2008.
Index: cpukit/sapi/include/rtems/sptables.h
===================================================================
--- cpukit/sapi/include/rtems/sptables.h	(revision 18daff9b95bbe4d5004a99079207a5343760ecd3)
+++ cpukit/sapi/include/rtems/sptables.h	(revision 28352faecf8b000b71f734cd728f38aa212b9669)
@@ -5,5 +5,5 @@
  *  used when in a single processor configuration.
  */
- 
+
 /*
  *  COPYRIGHT (c) 1989-1999.
Index: cpukit/sapi/src/extensioncreate.c
===================================================================
--- cpukit/sapi/src/extensioncreate.c	(revision 18daff9b95bbe4d5004a99079207a5343760ecd3)
+++ cpukit/sapi/src/extensioncreate.c	(revision 28352faecf8b000b71f734cd728f38aa212b9669)
@@ -6,5 +6,5 @@
  * @brief User Extensions Implementation.
  */
- 
+
 /*
  *  COPYRIGHT (c) 1989-2007.
Index: cpukit/sapi/src/extensiondelete.c
===================================================================
--- cpukit/sapi/src/extensiondelete.c	(revision 18daff9b95bbe4d5004a99079207a5343760ecd3)
+++ cpukit/sapi/src/extensiondelete.c	(revision 28352faecf8b000b71f734cd728f38aa212b9669)
@@ -6,5 +6,5 @@
  * @brief User Extensions Implementation.
  */
- 
+
 /*
  *  COPYRIGHT (c) 1989-2007.
Index: cpukit/sapi/src/extensionident.c
===================================================================
--- cpukit/sapi/src/extensionident.c	(revision 18daff9b95bbe4d5004a99079207a5343760ecd3)
+++ cpukit/sapi/src/extensionident.c	(revision 28352faecf8b000b71f734cd728f38aa212b9669)
@@ -6,5 +6,5 @@
  * @brief User Extensions Implementation.
  */
- 
+
 /*
  *  COPYRIGHT (c) 1989-2007.
Index: cpukit/sapi/src/io.c
===================================================================
--- cpukit/sapi/src/io.c	(revision 18daff9b95bbe4d5004a99079207a5343760ecd3)
+++ cpukit/sapi/src/io.c	(revision 28352faecf8b000b71f734cd728f38aa212b9669)
@@ -68,5 +68,5 @@
    */
 
-  _IO_Driver_address_table = (rtems_driver_address_table *) 
+  _IO_Driver_address_table = (rtems_driver_address_table *)
       _Workspace_Allocate_or_fatal_error(
         sizeof( rtems_driver_address_table ) * ( number_of_drivers )
Index: cpukit/sapi/src/ioregisterdriver.c
===================================================================
--- cpukit/sapi/src/ioregisterdriver.c	(revision 18daff9b95bbe4d5004a99079207a5343760ecd3)
+++ cpukit/sapi/src/ioregisterdriver.c	(revision 28352faecf8b000b71f734cd728f38aa212b9669)
@@ -6,5 +6,5 @@
  * @brief Classic Input/Output Manager implementation.
  */
- 
+
 /*
  *  COPYRIGHT (c) 1989-2009.
@@ -42,5 +42,5 @@
   rtems_device_major_number n = _IO_Number_of_drivers;
   rtems_device_major_number m = 0;
-  
+
   /* major is error checked by caller */
 
Index: cpukit/score/cpu/c4x/cpu.c
===================================================================
--- cpukit/score/cpu/c4x/cpu.c	(revision 18daff9b95bbe4d5004a99079207a5343760ecd3)
+++ cpukit/score/cpu/c4x/cpu.c	(revision 28352faecf8b000b71f734cd728f38aa212b9669)
@@ -49,5 +49,5 @@
  *
  */
- 
+
 void _CPU_ISR_install_raw_handler(
   uint32_t    vector,
@@ -62,5 +62,5 @@
    *  table used by the CPU to dispatch interrupt handlers.
    */
-    
+
   ittp = c4x_get_ittp();
   *old_handler = ittp[ vector ];
@@ -71,5 +71,5 @@
 
 #define C4X_CACHE       1
-#define C4X_BASE_ST     (C4X_CACHE==1) ? 0x4800 : 0x4000 
+#define C4X_BASE_ST     (C4X_CACHE==1) ? 0x4800 : 0x4000
 
 void _CPU_Context_Initialize(
Index: cpukit/score/cpu/c4x/rtems/score/c4x.h
===================================================================
--- cpukit/score/cpu/c4x/rtems/score/c4x.h	(revision 18daff9b95bbe4d5004a99079207a5343760ecd3)
+++ cpukit/score/cpu/c4x/rtems/score/c4x.h	(revision 28352faecf8b000b71f734cd728f38aa212b9669)
@@ -34,5 +34,5 @@
  *  of the family.
  */
- 
+
 #if defined(_C30)
 #define CPU_MODEL_NAME  "C30"
@@ -40,21 +40,21 @@
 #elif defined(_C31)
 #define CPU_MODEL_NAME  "C31"
- 
+
 #elif defined(_C32)
 #define CPU_MODEL_NAME  "C32"
- 
+
 #elif defined(_C33)
 #define CPU_MODEL_NAME  "C33"
- 
+
 #elif defined(_C40)
 #define CPU_MODEL_NAME  "C40"
- 
+
 #elif defined(_C44)
 #define CPU_MODEL_NAME  "C44"
- 
+
 #else
- 
+
 #error "Unsupported CPU Model"
- 
+
 #endif
 
@@ -70,5 +70,5 @@
  *  applications.  In addition, the calling conventions require that
  *  only a few extended registers be preserved across subroutine calls.
- *  The overhead of including these few registers in the basic 
+ *  The overhead of including these few registers in the basic
  *  context is small compared to the overhead of managing the notion
  *  of separate floating point contexts.  So we decided to pretend that
@@ -157,5 +157,5 @@
 #define c4x_global_interrupts_get() \
   (cpu_st_get() & C4X_ST_GIE)
-  
+
 #define c4x_global_interrupts_disable() \
   cpu_st_bit_clear(C4X_ST_GIE)
@@ -192,5 +192,5 @@
 static inline void c3x_set_if(unsigned int _if_value)
 {
-  __asm__( "ldi %0, if" : : "g" (_if_value) : "if", "cc"); 
+  __asm__( "ldi %0, if" : : "g" (_if_value) : "if", "cc");
 }
 
@@ -212,5 +212,5 @@
 static inline void c3x_set_ie(unsigned int _ie_value)
 {
-  __asm__ volatile ( "ldi %0, ie" : : "g" (_ie_value) : "ie", "cc"); 
+  __asm__ volatile ( "ldi %0, ie" : : "g" (_ie_value) : "ie", "cc");
 }
 
@@ -223,5 +223,5 @@
  *  c3x_ie_mask_set     - sets a specific set of the IE mask
  */
- 
+
 #define c3x_ie_mask_all( _isr_cookie ) \
   do { \
@@ -281,5 +281,5 @@
 static inline void c4x_set_iif(unsigned int _iif_value)
 {
-  __asm__( "ldi %0, iif" : : "g" (_iif_value) : "iif", "cc"); 
+  __asm__( "ldi %0, iif" : : "g" (_iif_value) : "iif", "cc");
 }
 
@@ -301,5 +301,5 @@
 static inline void c4x_set_iie(unsigned int _iie_value)
 {
-  __asm__( "ldi %0, iie" : : "g" (_iie_value) : "iie", "cc"); 
+  __asm__( "ldi %0, iie" : : "g" (_iie_value) : "iie", "cc");
 }
 
@@ -332,13 +332,13 @@
 
 static inline void * c4x_get_ittp(void)
-{ 
+{
   register unsigned int _if_value;
-  
+
   __asm__( "ldi if, %0" : "=r" (_if_value) );
-  return (void *)((_if_value & 0xffff0000) >> 8); 
-}  
+  return (void *)((_if_value & 0xffff0000) >> 8);
+}
 
 static inline void c4x_set_ittp(void *_ittp_value)
-{  
+{
   unsigned int _if_value;
   unsigned int _ittp_field;
@@ -357,5 +357,5 @@
   c3x_set_if( _if_value );
 #endif
-}  
+}
 
 #endif /* ifndef ASM */
Index: cpukit/score/cpu/c4x/rtems/score/cpu.h
===================================================================
--- cpukit/score/cpu/c4x/rtems/score/cpu.h	(revision 18daff9b95bbe4d5004a99079207a5343760ecd3)
+++ cpukit/score/cpu/c4x/rtems/score/cpu.h	(revision 28352faecf8b000b71f734cd728f38aa212b9669)
@@ -49,5 +49,5 @@
  *  C4x Specific Information:
  *
- *  We might as well try to inline this code until there is a 
+ *  We might as well try to inline this code until there is a
  *  code space problem.
  */
@@ -165,5 +165,5 @@
 /*
  *  Does the RTEMS invoke the user's ISR with the vector number and
- *  a pointer to the saved interrupt frame (1) or just the vector 
+ *  a pointer to the saved interrupt frame (1) or just the vector
  *  number (0)?
  *
@@ -195,5 +195,5 @@
  *  C4x Specific Information:
  *
- *  See c4x.h for more details but the bottom line is that the 
+ *  See c4x.h for more details but the bottom line is that the
  *  few extended registers required to be preserved across subroutines
  *  calls are considered part of the integer context.  This eliminates
@@ -243,5 +243,5 @@
  *  C4x Specific Information:
  *
- *  There is no known reason to make the IDLE task floating point and 
+ *  There is no known reason to make the IDLE task floating point and
  *  no point in wasting the memory or increasing the context switch
  *  time for the IDLE task.
@@ -277,5 +277,5 @@
  *  C4x Specific Information:
  *
- *  There is no reason to avoid the deferred FP switch logic on this 
+ *  There is no reason to avoid the deferred FP switch logic on this
  *  CPU family.
  */
@@ -435,9 +435,9 @@
  *  From email with Michael Hayes:
  *  > > But what are the rules for what is passed in what registers?
- *  
+ *
  *  Args are passed in the following registers (in order):
- *  
+ *
  *  AR2, R2, R3, RC, RS, RE
- *  
+ *
  *  However, the first and second floating point values are always in R2
  *  and R3 (and all other floats are on the stack).  Structs are always
@@ -445,15 +445,15 @@
  *  previous argument is passed on the stack so that its address can be
  *  taken for the stdargs macros.
- *  
+ *
  *   > > What is assumed to be preserved across calls?
- *  
- *  AR3, AR4, AR5, AR6, AR7   
+ *
+ *  AR3, AR4, AR5, AR6, AR7
  *  R4, R5, R8              (using STI/LDI)
  *  R6, R7                  (using STF/LDF)
- *  
+ *
  *   > > What is assumed to be scratch registers?
- *  
+ *
  *  R0, R1, R2, R3, AR0, AR1, AR2, IR0, IR1, BK, RS, RE, RC, R9, R10, R11
- *  
+ *
  *  Based on this information, the task specific context is quite small
  *  but the interrupt context is much larger.  In fact, it could
@@ -628,5 +628,5 @@
  *  C4x Specific Information:
  *
- *  Based on the information provided in section 7.6.1 (p. 7-26) 
+ *  Based on the information provided in section 7.6.1 (p. 7-26)
  *  titled "TMS320C30 and TMS320C31 Interrupt Vector Table" and section
  *  7.6.2 "TMS320C32 Interrupt Vector Table" of the TMS32C3x User's
@@ -994,5 +994,5 @@
  *  processor family that is better than the generic algorithm.
  *  Almost certainly, a hand-optimized assembly version of the
- *  generic algorithm could be written although it is not 
+ *  generic algorithm could be written although it is not
  *  worth the development effort at this time.
  */
@@ -1066,5 +1066,5 @@
  *  _CPU_ISR_install_raw_handler
  *
- *  This routine installs a "raw" interrupt handler directly into the 
+ *  This routine installs a "raw" interrupt handler directly into the
  *  processor's vector table.
  *
@@ -1073,5 +1073,5 @@
  *  XXXanswer
  */
- 
+
 void _CPU_ISR_install_raw_handler(
   uint32_t    vector,
@@ -1200,5 +1200,5 @@
  *  XXXanswer
  */
- 
+
 static inline uint32_t CPU_swap_u32(
   uint32_t value
@@ -1206,10 +1206,10 @@
 {
   uint32_t   byte1, byte2, byte3, byte4, swapped;
- 
+
   byte4 = (value >> 24) & 0xff;
   byte3 = (value >> 16) & 0xff;
   byte2 = (value >> 8)  & 0xff;
   byte1 =  value        & 0xff;
- 
+
   swapped = (byte1 << 24) | (byte2 << 16) | (byte3 << 8) | byte4;
   return( swapped );
Index: cpukit/score/cpu/c4x/rtems/tic4x/c4xio.h
===================================================================
--- cpukit/score/cpu/c4x/rtems/tic4x/c4xio.h	(revision 18daff9b95bbe4d5004a99079207a5343760ecd3)
+++ cpukit/score/cpu/c4x/rtems/tic4x/c4xio.h	(revision 28352faecf8b000b71f734cd728f38aa212b9669)
@@ -91,5 +91,5 @@
  *  IO Flags
  *
- *  NOTE: iof on c3x, iiof on c4x 
+ *  NOTE: iof on c3x, iiof on c4x
  */
 
Index: cpukit/score/cpu/m32c/context_init.c
===================================================================
--- cpukit/score/cpu/m32c/context_init.c	(revision 18daff9b95bbe4d5004a99079207a5343760ecd3)
+++ cpukit/score/cpu/m32c/context_init.c	(revision 28352faecf8b000b71f734cd728f38aa212b9669)
@@ -57,5 +57,5 @@
     frame->flg |= 0x40;
   frame->a0 = 0x01020304;
-  frame->a1 =0xa1a2a3a4; 
+  frame->a1 =0xa1a2a3a4;
   frame->r0r2 = 0;
   frame->r1r3 = 0;
Index: cpukit/score/cpu/m32c/cpu.c
===================================================================
--- cpukit/score/cpu/m32c/cpu.c	(revision 18daff9b95bbe4d5004a99079207a5343760ecd3)
+++ cpukit/score/cpu/m32c/cpu.c	(revision 28352faecf8b000b71f734cd728f38aa212b9669)
@@ -39,5 +39,5 @@
  *  XXX document implementation including references if appropriate
  */
- 
+
 uint32_t   _CPU_ISR_Get_level( void )
 {
@@ -56,5 +56,5 @@
  *  XXX document implementation including references if appropriate
  */
- 
+
 void _CPU_ISR_install_raw_handler(
   uint32_t    vector,
Index: cpukit/score/cpu/m32c/cpu_asm.c
===================================================================
--- cpukit/score/cpu/m32c/cpu_asm.c	(revision 18daff9b95bbe4d5004a99079207a5343760ecd3)
+++ cpukit/score/cpu/m32c/cpu_asm.c	(revision 28352faecf8b000b71f734cd728f38aa212b9669)
@@ -95,5 +95,5 @@
    *  LABEL "exit interrupt (simple case):
    *  #if ( CPU_HAS_SOFTWARE_INTERRUPT_STACK == TRUE )
-   *    if outermost interrupt 
+   *    if outermost interrupt
    *      restore stack
    *  #endif
Index: cpukit/score/cpu/m32c/rtems/score/cpu.h
===================================================================
--- cpukit/score/cpu/m32c/rtems/score/cpu.h	(revision 18daff9b95bbe4d5004a99079207a5343760ecd3)
+++ cpukit/score/cpu/m32c/rtems/score/cpu.h	(revision 28352faecf8b000b71f734cd728f38aa212b9669)
@@ -14,5 +14,5 @@
  *  + Anywhere there is an XXX, it should be replaced
  *    with information about the CPU family being ported to.
- *  
+ *
  *  + At the end of each comment section, there is a heading which
  *    says "Port Specific Information:".  When porting to RTEMS,
@@ -171,5 +171,5 @@
 /**
  *  Does the RTEMS invoke the user's ISR with the vector number and
- *  a pointer to the saved interrupt frame (1) or just the vector 
+ *  a pointer to the saved interrupt frame (1) or just the vector
  *  number (0)?
  *
@@ -198,5 +198,5 @@
  */
 
-/** 
+/**
  *  @def CPU_SOFTWARE_FP
  *
@@ -206,5 +206,5 @@
  *
  *  This feature conditional is used to indicate whether or not there
- *  is software implemented floating point that must be context 
+ *  is software implemented floating point that must be context
  *  switched.  The determination of whether or not this applies
  *  is very tool specific and the state saved/restored is also
@@ -484,5 +484,5 @@
  *
  *  @param[in] _context is the thread context area to access
- *  
+ *
  *  @return This method returns the stack pointer.
  */
@@ -497,5 +497,5 @@
  */
 typedef struct {
-    /** This field is a hint that a port will have a number of integer 
+    /** This field is a hint that a port will have a number of integer
      *  registers that need to be saved when an interrupt occurs or
      *  when a context switch occurs at the end of an ISR.
@@ -525,5 +525,5 @@
 /**
  *  @ingroup CPUInterrupt
- *  This variable points to the lowest physical address of the interrupt 
+ *  This variable points to the lowest physical address of the interrupt
  *  stack.
  */
@@ -532,5 +532,5 @@
 /**
  *  @ingroup CPUInterrupt
- *  This variable points to the lowest physical address of the interrupt 
+ *  This variable points to the lowest physical address of the interrupt
  *  stack.
  */
@@ -613,5 +613,5 @@
  *  @note  This does not have to be a power of 2 although it should be
  *         a multiple of 2 greater than or equal to 2.  The requirement
- *         to be a multiple of 2 is because the heap uses the least 
+ *         to be a multiple of 2 is because the heap uses the least
  *         significant field of the front and back flags to indicate
  *         that a block is in use or free.  So you do not want any odd
@@ -903,5 +903,5 @@
  *  @defgroup CPUBitfield Processor Dependent Bitfield Manipulation
  *
- *  This set of routines are used to implement fast searches for 
+ *  This set of routines are used to implement fast searches for
  *  the most important ready task.
  */
@@ -928,5 +928,5 @@
  *  @ingroup CPUBitfield
  *  This routine sets @a _output to the bit number of the first bit
- *  set in @a _value.  @a _value is of CPU dependent type 
+ *  set in @a _value.  @a _value is of CPU dependent type
  *  @a Priority_Bit_map_control.  This type may be either 16 or 32 bits
  *  wide although only the 16 least significant bits will be used.
@@ -971,12 +971,12 @@
           _value >>=8
           _number = 8;
-  
+
         if _value > 0x0000f
           _value >=8
           _number += 4
-  
+
         _number += bit_set_table[ _value ]
 @endverbatim
-  
+
  *    where bit_set_table[ 16 ] has values which indicate the first
  *      bit set
@@ -1050,5 +1050,5 @@
 /**
  *  @ingroup CPUInterrupt
- *  This routine installs a "raw" interrupt handler directly into the 
+ *  This routine installs a "raw" interrupt handler directly into the
  *  processor's vector table.
  *
@@ -1176,10 +1176,10 @@
 {
   uint32_t byte1, byte2, byte3, byte4, swapped;
- 
+
   byte4 = (value >> 24) & 0xff;
   byte3 = (value >> 16) & 0xff;
   byte2 = (value >> 8)  & 0xff;
   byte1 =  value        & 0xff;
- 
+
   swapped = (byte1 << 24) | (byte2 << 16) | (byte3 << 8) | byte4;
   return swapped;
Index: cpukit/score/cpu/m32c/rtems/score/m32c.h
===================================================================
--- cpukit/score/cpu/m32c/rtems/score/m32c.h	(revision 18daff9b95bbe4d5004a99079207a5343760ecd3)
+++ cpukit/score/cpu/m32c/rtems/score/m32c.h	(revision 28352faecf8b000b71f734cd728f38aa212b9669)
@@ -1,4 +1,4 @@
 /*
- *  This file sets up basic CPU dependency settings based on 
+ *  This file sets up basic CPU dependency settings based on
  *  compiler settings.  For example, it can determine if
  *  floating point is available.  This particular implementation
@@ -33,9 +33,9 @@
  *  to.
  */
- 
+
 #if defined(rtems_multilib)
 /*
- *  Figure out all CPU Model Feature Flags based upon compiler 
- *  predefines. 
+ *  Figure out all CPU Model Feature Flags based upon compiler
+ *  predefines.
  */
 
@@ -44,12 +44,12 @@
 
 #elif defined(__m32c__)
- 
+
 #define CPU_MODEL_NAME  "m32c"
 #define M32C_HAS_FPU    0
- 
+
 #else
- 
+
 #error "Unsupported CPU Model"
- 
+
 #endif
 
Index: cpukit/score/cpu/m32c/varvects.h
===================================================================
--- cpukit/score/cpu/m32c/varvects.h	(revision 18daff9b95bbe4d5004a99079207a5343760ecd3)
+++ cpukit/score/cpu/m32c/varvects.h	(revision 28352faecf8b000b71f734cd728f38aa212b9669)
@@ -4,8 +4,8 @@
 All rights reserved.
 
-Redistribution and use in source and binary forms, with or without 
-modification, are permitted provided that the following conditions are met: 
+Redistribution and use in source and binary forms, with or without
+modification, are permitted provided that the following conditions are met:
 
-    Redistributions of source code must retain the above copyright 
+    Redistributions of source code must retain the above copyright
     notice, this list of conditions and the following disclaimer.
 
@@ -14,18 +14,18 @@
     documentation and/or other materials provided with the distribution.
 
-    The name of Red Hat Incorporated may not be used to endorse 
-    or promote products derived from this software without specific 
+    The name of Red Hat Incorporated may not be used to endorse
+    or promote products derived from this software without specific
     prior written permission.
 
-THIS SOFTWARE IS PROVIDED BY THE COPYRIGHT HOLDERS AND CONTRIBUTORS "AS IS" 
-AND ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE 
+THIS SOFTWARE IS PROVIDED BY THE COPYRIGHT HOLDERS AND CONTRIBUTORS "AS IS"
+AND ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE
 IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE
 DISCLAIMED.  IN NO EVENT SHALL RED HAT INCORPORATED BE LIABLE FOR ANY
 DIRECT, INDIRECT, INCIDENTAL, SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES
 (INCLUDING, BUT NOT LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES;
-LOSS OF USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND 
+LOSS OF USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND
 ON ANY THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT
 (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS
-SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE. 
+SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
 
 */
Index: cpukit/score/include/rtems/debug.h
===================================================================
--- cpukit/score/include/rtems/debug.h	(revision 18daff9b95bbe4d5004a99079207a5343760ecd3)
+++ cpukit/score/include/rtems/debug.h	(revision 28352faecf8b000b71f734cd728f38aa212b9669)
@@ -1,3 +1,3 @@
-/** 
+/**
  *  @file  rtems/debug.h
  *
Index: cpukit/score/include/rtems/system.h
===================================================================
--- cpukit/score/include/rtems/system.h	(revision 18daff9b95bbe4d5004a99079207a5343760ecd3)
+++ cpukit/score/include/rtems/system.h	(revision 28352faecf8b000b71f734cd728f38aa212b9669)
@@ -1,3 +1,3 @@
-/** 
+/**
  *  @file  rtems/system.h
  *
@@ -46,5 +46,5 @@
 #endif
 
-/** 
+/**
  *  The following ensures that all data is declared in the space
  *  of the initialization routine for either the Initialization Manager
@@ -60,5 +60,5 @@
 #endif
 
-/** 
+/**
  *  The following ensures that all data is declared in the space
  *  of the initialization routine for either the Initialization Manager
@@ -74,5 +74,5 @@
 #endif
 
-/** 
+/**
  *  The following ensures that all data is declared in the space
  *  of the initialization routine for either the Initialization Manager
@@ -88,5 +88,5 @@
 #endif
 
-/** 
+/**
  *  The following ensures that all data is declared in the space
  *  of the initialization routine for either the Initialization Manager
@@ -181,5 +181,5 @@
 #include <rtems/score/cpu.h>        /* processor specific information */
 
-/** 
+/**
  *  This macro is used to obtain the offset of a field in a structure.
  */
Index: cpukit/score/src/apimutexlock.c
===================================================================
--- cpukit/score/src/apimutexlock.c	(revision 18daff9b95bbe4d5004a99079207a5343760ecd3)
+++ cpukit/score/src/apimutexlock.c	(revision 28352faecf8b000b71f734cd728f38aa212b9669)
@@ -21,5 +21,5 @@
 )
 {
-  ISR_Level level; 
+  ISR_Level level;
 
   _ISR_Disable( level );
Index: cpukit/score/src/corebarrierwait.c
===================================================================
--- cpukit/score/src/corebarrierwait.c	(revision 18daff9b95bbe4d5004a99079207a5343760ecd3)
+++ cpukit/score/src/corebarrierwait.c	(revision 28352faecf8b000b71f734cd728f38aa212b9669)
@@ -61,5 +61,5 @@
   the_barrier->number_of_waiting_threads++;
   if ( _CORE_barrier_Is_automatic( &the_barrier->Attributes ) ) {
-    if ( the_barrier->number_of_waiting_threads == 
+    if ( the_barrier->number_of_waiting_threads ==
 	 the_barrier->Attributes.maximum_count) {
       executing->Wait.return_code = CORE_BARRIER_STATUS_AUTOMATICALLY_RELEASED;
@@ -68,5 +68,5 @@
       return;
     }
-  } 
+  }
 
   _Thread_queue_Enter_critical_section( &the_barrier->Wait_queue );
Index: cpukit/score/src/coremsg.c
===================================================================
--- cpukit/score/src/coremsg.c	(revision 18daff9b95bbe4d5004a99079207a5343760ecd3)
+++ cpukit/score/src/coremsg.c	(revision 28352faecf8b000b71f734cd728f38aa212b9669)
@@ -63,7 +63,7 @@
   the_message_queue->maximum_message_size       = maximum_message_size;
   _CORE_message_queue_Set_notify( the_message_queue, NULL, NULL );
- 
+
   /*
-   *  Round size up to multiple of a pointer for chain init and 
+   *  Round size up to multiple of a pointer for chain init and
    *  check for overflow on adding overhead to each message.
    */
@@ -73,5 +73,5 @@
     allocated_message_size &= ~(sizeof(uint32_t) - 1);
   }
-   
+
   if (allocated_message_size < maximum_message_size)
     return false;
@@ -79,9 +79,9 @@
   /*
    *  Calculate how much total memory is required for message buffering and
-   *  check for overflow on the multiplication. 
+   *  check for overflow on the multiplication.
    */
   message_buffering_required = (size_t) maximum_pending_messages *
        (allocated_message_size + sizeof(CORE_message_queue_Buffer_control));
- 
+
   if (message_buffering_required < allocated_message_size)
     return false;
@@ -90,10 +90,10 @@
    *  Attempt to allocate the message memory
    */
-  the_message_queue->message_buffers = (CORE_message_queue_Buffer *) 
+  the_message_queue->message_buffers = (CORE_message_queue_Buffer *)
      _Workspace_Allocate( message_buffering_required );
- 
+
   if (the_message_queue->message_buffers == 0)
     return false;
- 
+
   /*
    *  Initialize the pool of inactive messages, pending messages,
@@ -106,7 +106,7 @@
     allocated_message_size + sizeof( CORE_message_queue_Buffer_control )
   );
- 
+
   _Chain_Initialize_empty( &the_message_queue->Pending_messages );
- 
+
   _Thread_queue_Initialize(
     &the_message_queue->Wait_queue,
Index: cpukit/score/src/coremsgseize.c
===================================================================
--- cpukit/score/src/coremsgseize.c	(revision 18daff9b95bbe4d5004a99079207a5343760ecd3)
+++ cpukit/score/src/coremsgseize.c	(revision 28352faecf8b000b71f734cd728f38aa212b9669)
@@ -79,5 +79,5 @@
 
     *size_p = the_message->Contents.size;
-    _Thread_Executing->Wait.count = 
+    _Thread_Executing->Wait.count =
       _CORE_message_queue_Get_message_priority( the_message );
     _CORE_message_queue_Copy_buffer(
@@ -89,5 +89,5 @@
     #if !defined(RTEMS_SCORE_COREMSG_ENABLE_BLOCKING_SEND)
       /*
-       *  There is not an API with blocking sends enabled. 
+       *  There is not an API with blocking sends enabled.
        *  So return immediately.
        */
@@ -120,5 +120,5 @@
        */
       _CORE_message_queue_Set_message_priority(
-        the_message, 
+        the_message,
         the_thread->Wait.count
       );
Index: cpukit/score/src/coremsgsubmit.c
===================================================================
--- cpukit/score/src/coremsgsubmit.c	(revision 18daff9b95bbe4d5004a99079207a5343760ecd3)
+++ cpukit/score/src/coremsgsubmit.c	(revision 28352faecf8b000b71f734cd728f38aa212b9669)
@@ -109,5 +109,5 @@
         _CORE_message_queue_Allocate_message_buffer( the_message_queue );
 
-    #if defined(RTEMS_DEBUG) 
+    #if defined(RTEMS_DEBUG)
       /*
        *  NOTE: If the system is consistent, this error should never occur.
Index: cpukit/score/src/coremutex.c
===================================================================
--- cpukit/score/src/coremutex.c	(revision 18daff9b95bbe4d5004a99079207a5343760ecd3)
+++ cpukit/score/src/coremutex.c	(revision 28352faecf8b000b71f734cd728f38aa212b9669)
@@ -65,6 +65,6 @@
     if ( _CORE_mutex_Is_inherit_priority( &the_mutex->Attributes ) ||
          _CORE_mutex_Is_priority_ceiling( &the_mutex->Attributes ) ) {
-      
-      if ( _Thread_Executing->current_priority < 
+
+      if ( _Thread_Executing->current_priority <
              the_mutex->Attributes.priority_ceiling )
        return CORE_MUTEX_STATUS_CEILING_VIOLATED;
Index: cpukit/score/src/coremutexsurrender.c
===================================================================
--- cpukit/score/src/coremutexsurrender.c	(revision 18daff9b95bbe4d5004a99079207a5343760ecd3)
+++ cpukit/score/src/coremutexsurrender.c	(revision 28352faecf8b000b71f734cd728f38aa212b9669)
@@ -85,5 +85,5 @@
   the_mutex->nest_count--;
 
-  if ( the_mutex->nest_count != 0 ) { 
+  if ( the_mutex->nest_count != 0 ) {
     /*
      *  All error checking is on the locking side, so if the lock was
Index: cpukit/score/src/corerwlockobtainread.c
===================================================================
--- cpukit/score/src/corerwlockobtainread.c	(revision 18daff9b95bbe4d5004a99079207a5343760ecd3)
+++ cpukit/score/src/corerwlockobtainread.c	(revision 28352faecf8b000b71f734cd728f38aa212b9669)
@@ -27,5 +27,5 @@
  *
  *  This function waits for the rwlock to become available.  Optionally,
- *  a limit may be placed on the duration of the spin.  
+ *  a limit may be placed on the duration of the spin.
  *
  *  Input parameters:
Index: cpukit/score/src/corerwlockobtainwrite.c
===================================================================
--- cpukit/score/src/corerwlockobtainwrite.c	(revision 18daff9b95bbe4d5004a99079207a5343760ecd3)
+++ cpukit/score/src/corerwlockobtainwrite.c	(revision 28352faecf8b000b71f734cd728f38aa212b9669)
@@ -27,5 +27,5 @@
  *
  *  This function waits for the rwlock to become available.  Optionally,
- *  a limit may be placed on the duration of the spin.  
+ *  a limit may be placed on the duration of the spin.
  *
  *  Input parameters:
Index: cpukit/score/src/corerwlockrelease.c
===================================================================
--- cpukit/score/src/corerwlockrelease.c	(revision 18daff9b95bbe4d5004a99079207a5343760ecd3)
+++ cpukit/score/src/corerwlockrelease.c	(revision 28352faecf8b000b71f734cd728f38aa212b9669)
@@ -62,5 +62,5 @@
           return CORE_RWLOCK_SUCCESSFUL;
         }
-    }       
+    }
 
     /* CORE_RWLOCK_LOCKED_FOR_WRITING or READING with readers */
@@ -75,5 +75,5 @@
 
   next = _Thread_queue_Dequeue( &the_rwlock->Wait_queue );
-    
+
   if ( next ) {
     if ( next->Wait.option == CORE_RWLOCK_THREAD_WAITING_FOR_WRITE ) {
@@ -93,5 +93,5 @@
     while ( 1 ) {
       next = _Thread_queue_First( &the_rwlock->Wait_queue );
-      if ( !next ||  
+      if ( !next ||
            next->Wait.option == CORE_RWLOCK_THREAD_WAITING_FOR_WRITE )
         return CORE_RWLOCK_SUCCESSFUL;
Index: cpukit/score/src/coresemseize.c
===================================================================
--- cpukit/score/src/coresemseize.c	(revision 18daff9b95bbe4d5004a99079207a5343760ecd3)
+++ cpukit/score/src/coresemseize.c	(revision 28352faecf8b000b71f734cd728f38aa212b9669)
@@ -65,5 +65,5 @@
   }
 
-  /* 
+  /*
    *  If the semaphore was not available and the caller was not willing
    *  to block, then return immediately with a status indicating that
Index: cpukit/score/src/corespinlockrelease.c
===================================================================
--- cpukit/score/src/corespinlockrelease.c	(revision 18daff9b95bbe4d5004a99079207a5343760ecd3)
+++ cpukit/score/src/corespinlockrelease.c	(revision 28352faecf8b000b71f734cd728f38aa212b9669)
@@ -51,5 +51,5 @@
       _ISR_Enable( level );
       return CORE_SPINLOCK_NOT_LOCKED;
-    } 
+    }
 
     /*
@@ -59,6 +59,6 @@
       _ISR_Enable( level );
       return CORE_SPINLOCK_NOT_HOLDER;
-    } 
-    
+    }
+
     /*
      *  Let it be unlocked.
Index: cpukit/score/src/corespinlockwait.c
===================================================================
--- cpukit/score/src/corespinlockwait.c	(revision 18daff9b95bbe4d5004a99079207a5343760ecd3)
+++ cpukit/score/src/corespinlockwait.c	(revision 28352faecf8b000b71f734cd728f38aa212b9669)
@@ -27,5 +27,5 @@
  *
  *  This function waits for the spinlock to become available.  Optionally,
- *  a limit may be placed on the duration of the spin.  
+ *  a limit may be placed on the duration of the spin.
  *
  *  Input parameters:
@@ -49,5 +49,5 @@
 
   _ISR_Disable( level );
-    if ( (the_spinlock->lock == CORE_SPINLOCK_LOCKED) && 
+    if ( (the_spinlock->lock == CORE_SPINLOCK_LOCKED) &&
          (the_spinlock->holder == _Thread_Executing->Object.id) ) {
       _ISR_Enable( level );
@@ -90,10 +90,10 @@
        *  another thread must be able to run while spinning.  We are
        *  not blocking so that implies we are at least preemptible
-       *  and possibly time-sliced.  
-       *  
+       *  and possibly time-sliced.
+       *
        *  So first, we will enable interrpts to allow for them to happen.
        *  Then we will "flash" the thread dispatching critical section
        *  so other threads have a chance to run.
-       * 
+       *
        *  A spinlock cannot be deleted while it is being used so we are
        *  safe from deletion.
@@ -105,5 +105,5 @@
        _Thread_Enable_dispatch();
        /* Another thread could get dispatched here */
-        
+
        /* Reenter the critical sections so we can attempt the lock again. */
        _Thread_Disable_dispatch();
Index: cpukit/score/src/heapwalk.c
===================================================================
--- cpukit/score/src/heapwalk.c	(revision 18daff9b95bbe4d5004a99079207a5343760ecd3)
+++ cpukit/score/src/heapwalk.c	(revision 28352faecf8b000b71f734cd728f38aa212b9669)
@@ -367,5 +367,5 @@
         next_block
       );
-      
+
       return false;
     }
@@ -379,5 +379,5 @@
         block_size
       );
-      
+
       return false;
     }
@@ -392,5 +392,5 @@
         min_block_size
       );
-      
+
       return false;
     }
@@ -404,8 +404,8 @@
         next_block
       );
-      
-      return false;
-    }
-   
+
+      return false;
+    }
+
     if ( !_Heap_Is_prev_used( next_block ) ) {
       if ( !_Heap_Walk_check_free_block( source, printer, heap, block ) ) {
Index: cpukit/score/src/mpci.c
===================================================================
--- cpukit/score/src/mpci.c	(revision 18daff9b95bbe4d5004a99079207a5343760ecd3)
+++ cpukit/score/src/mpci.c	(revision 28352faecf8b000b71f734cd728f38aa212b9669)
@@ -123,5 +123,5 @@
     _MPCI_Receive_server_tcb,
     NULL,        /* allocate the stack */
-    _Stack_Minimum() + 
+    _Stack_Minimum() +
       CPU_MPCI_RECEIVE_SERVER_EXTRA_STACK +
       _Configuration_MP_table->extra_mpci_receive_server_stack,
Index: cpukit/score/src/objectextendinformation.c
===================================================================
--- cpukit/score/src/objectextendinformation.c	(revision 18daff9b95bbe4d5004a99079207a5343760ecd3)
+++ cpukit/score/src/objectextendinformation.c	(revision 28352faecf8b000b71f734cd728f38aa212b9669)
@@ -95,5 +95,5 @@
    * generate a fatal error depending on auto-extending being active.
    */
-  
+
   block_size = information->allocation_size * information->size;
   if ( information->auto_extend ) {
@@ -104,5 +104,5 @@
     new_object_block = _Workspace_Allocate_or_fatal_error( block_size );
   }
-  
+
   /*
    *  If the index_base is the maximum we need to grow the tables.
@@ -153,5 +153,5 @@
       return;
     }
-    
+
     /*
      *  Break the block into the various sections.
Index: cpukit/score/src/objectget.c
===================================================================
--- cpukit/score/src/objectget.c	(revision 18daff9b95bbe4d5004a99079207a5343760ecd3)
+++ cpukit/score/src/objectget.c	(revision 28352faecf8b000b71f734cd728f38aa212b9669)
@@ -64,5 +64,5 @@
    *
    *  If the Id matches the api, class, and node but index portion is 0,
-   *  then the subtraction will underflow and the addition of 1 will 
+   *  then the subtraction will underflow and the addition of 1 will
    *  result in a 0 index.  The zeroth element in the local_table is
    *  always NULL.
Index: cpukit/score/src/pheapresizeblock.c
===================================================================
--- cpukit/score/src/pheapresizeblock.c	(revision 18daff9b95bbe4d5004a99079207a5343760ecd3)
+++ cpukit/score/src/pheapresizeblock.c	(revision 28352faecf8b000b71f734cd728f38aa212b9669)
@@ -36,5 +36,5 @@
 
   _RTEMS_Lock_allocator();
-    status = _Heap_Resize_block( 
+    status = _Heap_Resize_block(
       the_heap, starting_address, size, &old_mem_size, &avail_mem_size );
   _RTEMS_Unlock_allocator();
Index: cpukit/score/src/pheapwalk.c
===================================================================
--- cpukit/score/src/pheapwalk.c	(revision 18daff9b95bbe4d5004a99079207a5343760ecd3)
+++ cpukit/score/src/pheapwalk.c	(revision 28352faecf8b000b71f734cd728f38aa212b9669)
@@ -37,5 +37,5 @@
    * then it is forbidden to lock a mutex.  But since we are inside
    * a critical section, it should be safe to walk it unlocked.
-   * 
+   *
    * NOTE: Dispatching is also disabled during initialization.
    */
Index: cpukit/score/src/threadclearstate.c
===================================================================
--- cpukit/score/src/threadclearstate.c	(revision 18daff9b95bbe4d5004a99079207a5343760ecd3)
+++ cpukit/score/src/threadclearstate.c	(revision 28352faecf8b000b71f734cd728f38aa212b9669)
@@ -79,5 +79,5 @@
          *  context switch.
          *
-         *  Normal case: 
+         *  Normal case:
          *    If the current thread is preemptible, then we need to do
          *    a context switch.
Index: cpukit/score/src/threadget.c
===================================================================
--- cpukit/score/src/threadget.c	(revision 18daff9b95bbe4d5004a99079207a5343760ecd3)
+++ cpukit/score/src/threadget.c	(revision 28352faecf8b000b71f734cd728f38aa212b9669)
@@ -57,5 +57,5 @@
   Objects_Information *information;
   Thread_Control      *tp = (Thread_Control *) 0;
- 
+
   if ( _Objects_Are_ids_equal( id, OBJECTS_ID_OF_SELF ) ) {
     _Thread_Disable_dispatch();
@@ -64,5 +64,5 @@
     goto done;
   }
- 
+
   the_api = _Objects_Get_API( id );
   if ( !_Objects_Is_api_valid( the_api ) ) {
@@ -70,5 +70,5 @@
     goto done;
   }
-  
+
   the_class = _Objects_Get_class( id );
   if ( the_class != 1 ) {       /* threads are always first class :) */
@@ -76,5 +76,5 @@
     goto done;
   }
- 
+
   api_information = _Objects_Information_table[ the_api ];
   if ( !api_information ) {
@@ -88,7 +88,7 @@
     goto done;
   }
- 
+
   tp = (Thread_Control *) _Objects_Get( information, id, location );
- 
+
 done:
   return tp;
Index: cpukit/score/src/threadhandler.c
===================================================================
--- cpukit/score/src/threadhandler.c	(revision 18daff9b95bbe4d5004a99079207a5343760ecd3)
+++ cpukit/score/src/threadhandler.c	(revision 28352faecf8b000b71f734cd728f38aa212b9669)
@@ -89,5 +89,5 @@
 
   /*
-   * Some CPUs need to tinker with the call frame or registers when the 
+   * Some CPUs need to tinker with the call frame or registers when the
    * thread actually begins to execute for the first time.  This is a
    * hook point where the port gets a shot at doing whatever it requires.
Index: cpukit/score/src/threadinitialize.c
===================================================================
--- cpukit/score/src/threadinitialize.c	(revision 18daff9b95bbe4d5004a99079207a5343760ecd3)
+++ cpukit/score/src/threadinitialize.c	(revision 28352faecf8b000b71f734cd728f38aa212b9669)
@@ -215,5 +215,5 @@
    *  We assume the Allocator Mutex is locked and dispatching is
    *  enabled when we get here.  We want to be able to run the
-   *  user extensions with dispatching enabled.  The Allocator 
+   *  user extensions with dispatching enabled.  The Allocator
    *  Mutex provides sufficient protection to let the user extensions
    *  run safely.
@@ -230,5 +230,5 @@
     if ( the_thread->API_Extensions[i] )
       _Workspace_Free( the_thread->API_Extensions[i] );
-  
+
   if ( extensions_area )
     (void) _Workspace_Free( extensions_area );
Index: cpukit/score/src/threadqenqueue.c
===================================================================
--- cpukit/score/src/threadqenqueue.c	(revision 18daff9b95bbe4d5004a99079207a5343760ecd3)
+++ cpukit/score/src/threadqenqueue.c	(revision 28352faecf8b000b71f734cd728f38aa212b9669)
@@ -72,5 +72,5 @@
   /*
    *  If the thread wants to timeout, then schedule its timer.
-   */ 
+   */
   if ( timeout ) {
     _Watchdog_Initialize(
@@ -86,5 +86,5 @@
   /*
    *  Now enqueue the thread per the discipline for this thread queue.
-   */ 
+   */
   if ( the_thread_queue->discipline == THREAD_QUEUE_DISCIPLINE_PRIORITY )
     enqueue_p = _Thread_queue_Enqueue_priority;
Index: cpukit/score/src/threadqenqueuefifo.c
===================================================================
--- cpukit/score/src/threadqenqueuefifo.c	(revision 18daff9b95bbe4d5004a99079207a5343760ecd3)
+++ cpukit/score/src/threadqenqueuefifo.c	(revision 28352faecf8b000b71f734cd728f38aa212b9669)
@@ -66,5 +66,5 @@
       return THREAD_BLOCKING_OPERATION_NOTHING_HAPPENED;
     }
-      
+
   /*
    *  An interrupt completed the thread's blocking request.
Index: cpukit/score/src/timespecaddto.c
===================================================================
--- cpukit/score/src/timespecaddto.c	(revision 18daff9b95bbe4d5004a99079207a5343760ecd3)
+++ cpukit/score/src/timespecaddto.c	(revision 28352faecf8b000b71f734cd728f38aa212b9669)
@@ -1,3 +1,3 @@
-/** 
+/**
  *  @file  score/src/timespecaddto.c
  */
Index: cpukit/score/src/timespecdivide.c
===================================================================
--- cpukit/score/src/timespecdivide.c	(revision 18daff9b95bbe4d5004a99079207a5343760ecd3)
+++ cpukit/score/src/timespecdivide.c	(revision 28352faecf8b000b71f734cd728f38aa212b9669)
@@ -1,3 +1,3 @@
-/** 
+/**
  *  @file  score/src/timespecdivide.c
  */
Index: cpukit/score/src/timespecdividebyinteger.c
===================================================================
--- cpukit/score/src/timespecdividebyinteger.c	(revision 18daff9b95bbe4d5004a99079207a5343760ecd3)
+++ cpukit/score/src/timespecdividebyinteger.c	(revision 28352faecf8b000b71f734cd728f38aa212b9669)
@@ -1,3 +1,3 @@
-/** 
+/**
  *  @file  score/src/timespecdividebyinteger.c
  */
Index: cpukit/score/src/timespecgreaterthan.c
===================================================================
--- cpukit/score/src/timespecgreaterthan.c	(revision 18daff9b95bbe4d5004a99079207a5343760ecd3)
+++ cpukit/score/src/timespecgreaterthan.c	(revision 28352faecf8b000b71f734cd728f38aa212b9669)
@@ -1,3 +1,3 @@
-/** 
+/**
  *  @file  score/src/timespecgreaterthan.c
  */
@@ -37,5 +37,5 @@
   /* ASSERT: lhs->tv_sec == rhs->tv_sec */
   if ( lhs->tv_nsec > rhs->tv_nsec )
-    return true; 
+    return true;
 
   return false;
Index: cpukit/score/src/timespecisvalid.c
===================================================================
--- cpukit/score/src/timespecisvalid.c	(revision 18daff9b95bbe4d5004a99079207a5343760ecd3)
+++ cpukit/score/src/timespecisvalid.c	(revision 28352faecf8b000b71f734cd728f38aa212b9669)
@@ -1,3 +1,3 @@
-/** 
+/**
  *  @file  score/src/timespecisvalid.c
  */
Index: cpukit/score/src/timespeclessthan.c
===================================================================
--- cpukit/score/src/timespeclessthan.c	(revision 18daff9b95bbe4d5004a99079207a5343760ecd3)
+++ cpukit/score/src/timespeclessthan.c	(revision 28352faecf8b000b71f734cd728f38aa212b9669)
@@ -1,3 +1,3 @@
-/** 
+/**
  *  @file  score/src/timespeclessthan.c
  */
@@ -37,5 +37,5 @@
   /* ASSERT: lhs->tv_sec == rhs->tv_sec */
   if ( lhs->tv_nsec < rhs->tv_nsec )
-    return true; 
+    return true;
 
   return false;
Index: cpukit/score/src/timespecsubtract.c
===================================================================
--- cpukit/score/src/timespecsubtract.c	(revision 18daff9b95bbe4d5004a99079207a5343760ecd3)
+++ cpukit/score/src/timespecsubtract.c	(revision 28352faecf8b000b71f734cd728f38aa212b9669)
@@ -1,3 +1,3 @@
-/** 
+/**
  *  @file  score/src/timespecsubtract.c
  */
@@ -33,5 +33,5 @@
   if (end->tv_nsec < start->tv_nsec) {
     result->tv_sec  = end->tv_sec - start->tv_sec - 1;
-    result->tv_nsec = 
+    result->tv_nsec =
       (TOD_NANOSECONDS_PER_SECOND - start->tv_nsec) + end->tv_nsec;
   } else {
Index: cpukit/score/src/timespectoticks.c
===================================================================
--- cpukit/score/src/timespectoticks.c	(revision 18daff9b95bbe4d5004a99079207a5343760ecd3)
+++ cpukit/score/src/timespectoticks.c	(revision 28352faecf8b000b71f734cd728f38aa212b9669)
@@ -1,3 +1,3 @@
-/** 
+/**
  *  @file  score/src/timespectoticks.c
  */
@@ -37,5 +37,5 @@
   uint32_t  ticks;
 
-  if ( (time->tv_sec == 0) && (time->tv_nsec == 0) ) 
+  if ( (time->tv_sec == 0) && (time->tv_nsec == 0) )
     return 0;
 
Index: cpukit/score/src/ts64divide.c
===================================================================
--- cpukit/score/src/ts64divide.c	(revision 18daff9b95bbe4d5004a99079207a5343760ecd3)
+++ cpukit/score/src/ts64divide.c	(revision 28352faecf8b000b71f734cd728f38aa212b9669)
@@ -1,3 +1,3 @@
-/** 
+/**
  *  @file  score/src/ts64divide.c
  */
Index: cpukit/score/src/ts64getnanoseconds.c
===================================================================
--- cpukit/score/src/ts64getnanoseconds.c	(revision 18daff9b95bbe4d5004a99079207a5343760ecd3)
+++ cpukit/score/src/ts64getnanoseconds.c	(revision 28352faecf8b000b71f734cd728f38aa212b9669)
@@ -1,3 +1,3 @@
-/** 
+/**
  *  @file  score/src/ts64toticks.c
  */
Index: cpukit/score/src/ts64toticks.c
===================================================================
--- cpukit/score/src/ts64toticks.c	(revision 18daff9b95bbe4d5004a99079207a5343760ecd3)
+++ cpukit/score/src/ts64toticks.c	(revision 28352faecf8b000b71f734cd728f38aa212b9669)
@@ -1,3 +1,3 @@
-/** 
+/**
  *  @file  score/src/ts64toticks.c
  */
Index: cpukit/score/src/userext.c
===================================================================
--- cpukit/score/src/userext.c	(revision 18daff9b95bbe4d5004a99079207a5343760ecd3)
+++ cpukit/score/src/userext.c	(revision 28352faecf8b000b71f734cd728f38aa212b9669)
@@ -46,5 +46,5 @@
         number_of_extensions * sizeof( User_extensions_Control )
       );
-  
+
     memset (
       extension,
@@ -52,5 +52,5 @@
       number_of_extensions * sizeof( User_extensions_Control )
     );
-  
+
     for ( i = 0 ; i < number_of_extensions ; i++ ) {
       _User_extensions_Add_set_with_table (extension, &initial_extensions[i]);
Index: cpukit/score/src/userextaddapiset.c
===================================================================
--- cpukit/score/src/userextaddapiset.c	(revision 18daff9b95bbe4d5004a99079207a5343760ecd3)
+++ cpukit/score/src/userextaddapiset.c	(revision 28352faecf8b000b71f734cd728f38aa212b9669)
@@ -37,5 +37,5 @@
   {
     the_extension->Switch.thread_switch = the_extension->Callouts.thread_switch;
-    _Chain_Append( 
+    _Chain_Append(
       &_User_extensions_Switches_list, &the_extension->Switch.Node );
   }
Index: cpukit/score/src/userextremoveset.c
===================================================================
--- cpukit/score/src/userextremoveset.c	(revision 18daff9b95bbe4d5004a99079207a5343760ecd3)
+++ cpukit/score/src/userextremoveset.c	(revision 28352faecf8b000b71f734cd728f38aa212b9669)
@@ -30,5 +30,5 @@
 {
   _Chain_Extract( &the_extension->Node );
-  
+
   /*
    * If a switch handler is present, remove it.
Index: cpukit/score/src/userextthreadswitch.c
===================================================================
--- cpukit/score/src/userextthreadswitch.c	(revision 18daff9b95bbe4d5004a99079207a5343760ecd3)
+++ cpukit/score/src/userextthreadswitch.c	(revision 28352faecf8b000b71f734cd728f38aa212b9669)
@@ -32,5 +32,5 @@
   Chain_Node                     *the_node;
   User_extensions_Switch_control *the_extension_switch;
-  
+
   for ( the_node = _User_extensions_Switches_list.first ;
         !_Chain_Is_tail( &_User_extensions_Switches_list, the_node ) ;
Index: cpukit/score/src/watchdogadjusttochain.c
===================================================================
--- cpukit/score/src/watchdogadjusttochain.c	(revision 18daff9b95bbe4d5004a99079207a5343760ecd3)
+++ cpukit/score/src/watchdogadjusttochain.c	(revision 28352faecf8b000b71f734cd728f38aa212b9669)
@@ -32,10 +32,10 @@
   Watchdog_Interval  units = units_arg;
   ISR_Level          level;
-  Watchdog_Control  *first; 
-  
+  Watchdog_Control  *first;
+
   if ( units <= 0 ) {
     return;
   }
- 
+
   _ISR_Disable( level );
 
@@ -70,5 +70,5 @@
 
       _ISR_Flash( level );
- 
+
       if ( _Chain_Is_empty( header ) )
         break;
Index: cpukit/score/src/watchdogreport.c
===================================================================
--- cpukit/score/src/watchdogreport.c	(revision 18daff9b95bbe4d5004a99079207a5343760ecd3)
+++ cpukit/score/src/watchdogreport.c	(revision 28352faecf8b000b71f734cd728f38aa212b9669)
@@ -32,6 +32,6 @@
     ((name) ? name : ""),
     ((name) ? " "  : ""),
-    watch->delta_interval, 
-    watch->initial, 
+    watch->delta_interval,
+    watch->initial,
     watch,
     watch->routine,
Index: cpukit/score/src/watchdogtickle.c
===================================================================
--- cpukit/score/src/watchdogtickle.c	(revision 18daff9b95bbe4d5004a99079207a5343760ecd3)
+++ cpukit/score/src/watchdogtickle.c	(revision 28352faecf8b000b71f734cd728f38aa212b9669)
@@ -54,5 +54,5 @@
 
   the_watchdog = _Watchdog_First( header );
-  
+
   /*
    * For some reason, on rare occasions the_watchdog->delta_interval
@@ -60,5 +60,5 @@
    * added, on these occasions an event (which usually was supposed
    * to have a timeout of 1 tick would have a delta_interval of 0, which
-   * would be decremented to 0xFFFFFFFF by the unprotected 
+   * would be decremented to 0xFFFFFFFF by the unprotected
    * "the_watchdog->delta_interval--;" operation.
    * This would mean the event would not timeout, and also the chain would
@@ -66,16 +66,16 @@
    * head, rather than at the end.
    * The test "if (the_watchdog->delta_interval != 0)"
-   * here prevents this from occuring. 
-   * 
-   * We were not able to categorically identify the situation that causes 
-   * this, but proved it to be true empirically.  So this check causes 
+   * here prevents this from occuring.
+   *
+   * We were not able to categorically identify the situation that causes
+   * this, but proved it to be true empirically.  So this check causes
    * correct behaviour in this circumstance.
-   * 
+   *
    * The belief is that a race condition exists whereby an event at the head
    * of the chain is removed (by a pending ISR or higher priority task)
-   * during the _ISR_Flash( level ); in _Watchdog_Insert, but the watchdog 
-   * to be inserted has already had its delta_interval adjusted to 0, and 
-   * so is added to the head of the chain with a delta_interval of 0.  
-   * 
+   * during the _ISR_Flash( level ); in _Watchdog_Insert, but the watchdog
+   * to be inserted has already had its delta_interval adjusted to 0, and
+   * so is added to the head of the chain with a delta_interval of 0.
+   *
    * Steven Johnson - 12/2005 (gcc-3.2.3 -O3 on powerpc)
    */
@@ -84,5 +84,5 @@
     if ( the_watchdog->delta_interval != 0 )
       goto leave;
-  }      
+  }
 
   do {
